package com.fastbee.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fastbee.system.domain.SysDistrict;

/**
 * 行政区划Mapper接口
 *
 * @author kerwincui
 * &#064;date  2024-10-18
 */
public interface SysDistrictMapper extends BaseMapper<SysDistrict>
{
    /**
     * 查询行政区划
     *
     * @param id 行政区划主键
     * @return 行政区划
     */
    public SysDistrict selectSysDistrictById(Long id);

    /**
     * 查询行政区划列表
     *
     * @param sysDistrict 行政区划
     * @return 行政区划集合
     */
    public List<SysDistrict> selectSysDistrictList(SysDistrict sysDistrict);

    /**
     * 新增行政区划
     *
     * @param sysDistrict 行政区划
     * @return 结果
     */
    public int insertSysDistrict(SysDistrict sysDistrict);

    /**
     * 修改行政区划
     *
     * @param sysDistrict 行政区划
     * @return 结果
     */
    public int updateSysDistrict(SysDistrict sysDistrict);

    /**
     * 删除行政区划
     *
     * @param id 行政区划主键
     * @return 结果
     */
    public int deleteSysDistrictById(Long id);

    /**
     * 批量删除行政区划
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteSysDistrictByIds(Long[] ids);

    SysDistrict selectSysDistrictByCode(Long areaCode);

}
